%define upstream_name    Log-Minimal
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Minimal but customizable logger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
Log::Minimal is Minimal but customizable log module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.190.0-9.mga10
+ Revision: 2199558
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.190.0-8.mga9
+ Revision: 1804297
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-7.mga8
+ Revision: 1495448
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.190.0-6.mga7
+ Revision: 1269033
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-5.mga6
+ Revision: 1029427
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.190.0-4.mga6
+ Revision: 931559
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 747153
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-2.mga5
+ Revision: 685271
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 624328
- update to 0.19

* Thu Mar 13 2014 jquelin <jquelin> 0.180.0-1.mga5
+ Revision: 602928
- update to 0.18

* Tue Feb 04 2014 shlomif <shlomif> 0.170.0-1.mga5
+ Revision: 581206
- update to 0.17

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 531544
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 463920
- update to 0.16

* Wed May 29 2013 shlomif <shlomif> 0.150.0-1.mga4
+ Revision: 432467
- imported package perl-Log-Minimal


* Wed May 29 2013 cpan2dist 0.15-1mga
- initial mageia release, generated with cpan2dist
